usb_find_interface
Prev | Chapter 5. USB Core APIs | Next

## Name

usb_find_interface — find usb_interface pointer for driver and device

## Synopsis

`struct usb_interface * usb_find_interface (` | struct usb_driver * | drv,
| int | minor`)`;

## Arguments

`drv`

  the driver whose current configuration is considered

`minor`

  the minor number of the desired device

## Description

This walks the driver device list and returns a pointer to the interface with the matching minor. Note, this only works for devices that share the USB major number.

Prev | Up | Next
usb_altnum_to_altsetting | Home | usb_get_dev